`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    17:00:11 05/25/2016 
// Design Name: 
// Module Name:    bus_20b18_to_16 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module bus_20b18_to_16(
//    input [19:0] din,
//    output [15:0] dout
    input [47:0] din,
    output [35:0] dout,
	 output overflow
    );

//m_axis_data_tdata
//=================
//path0 : 19 downto 0
//path1 : 43 downto 24

//LOGIC OK:
assign dout[17:0] = (!din[19] && (din[18] || din[17])) ? 18'b011111111111111111 : 
	               ((din[19] && !(din[18] && din[17])) ? 18'b100000000000000000 : 
din[17:0]);

assign dout[35:18] = (!din[43] && (din[42] || din[41])) ? 18'b011111111111111111 : 
	               ((din[43] && !(din[42] && din[41])) ? 18'b100000000000000000 : 
din[41:24]);


assign overflow = ((!din[19] && (din[18] || din[17])) ||
                    (din[19] && !(din[18] && din[17])) ||
						 (!din[43] && (din[42] || din[41])) ||
						  (din[43] && !(din[42] && din[41])))
						  ? 1'b1 : 1'b0;

endmodule
