module pre_ifft_reord (
        ap_clk,
        ap_rst,
        input_V_V_dout,
        input_V_V_empty_n,
        input_V_V_read,
        output_V_data_V_din,
        output_V_data_V_full_n,
        output_V_data_V_write,
        output_V_last_V_din,
        output_V_last_V_full_n,
        output_V_last_V_write
)/*synthesis syn_black_box*/;
input   ap_clk;
input   ap_rst;
input  [5:0] input_V_V_dout;
input   input_V_V_empty_n;
output   input_V_V_read;
output  [31:0] output_V_data_V_din;
input   output_V_data_V_full_n;
output   output_V_data_V_write;
output  [0:0] output_V_last_V_din;
input   output_V_last_V_full_n;
output   output_V_last_V_write;
endmodule

