module qduc_if (
        ap_clk,
        ap_rst,
        input_V_V_dout,
        input_V_V_empty_n,
        input_V_V_read,
        out_V_V_din,
        out_V_V_full_n,
        out_V_V_write,
        tist_V_V_dout,
        tist_V_V_empty_n,
        tist_V_V_read,
        cnt_V,
        sfn_en_n,
        sfn_delay_V
)/*synthesis syn_black_box*/;
input   ap_clk;
input   ap_rst;
input  [35:0] input_V_V_dout;
input   input_V_V_empty_n;
output   input_V_V_read;
output  [17:0] out_V_V_din;
input   out_V_V_full_n;
output   out_V_V_write;
input  [7:0] tist_V_V_dout;
input   tist_V_V_empty_n;
output   tist_V_V_read;
input  [43:0] cnt_V;
input   sfn_en_n;
input  [13:0] sfn_delay_V;
endmodule

