module eti_parser (
        ap_clk,
        ap_rst,
        input_V_V_dout,
        input_V_V_empty_n,
        input_V_V_read,
        output_V_data_V_din,
        output_V_data_V_full_n,
        output_V_data_V_write,
        output_V_last_V_din,
        output_V_last_V_full_n,
        output_V_last_V_write,
        out_aresetn,
        stc_buff_V_address0,
        stc_buff_V_ce0,
        stc_buff_V_we0,
        stc_buff_V_d0,
        stc_buff_V_q0,
        tist_V_V_din,
        tist_V_V_full_n,
        tist_V_V_write
)/*synthesis syn_black_box*/;
input   ap_clk;
input   ap_rst;
input  [7:0] input_V_V_dout;
input   input_V_V_empty_n;
output   input_V_V_read;
output  [7:0] output_V_data_V_din;
input   output_V_data_V_full_n;
output   output_V_data_V_write;
output  [0:0] output_V_last_V_din;
input   output_V_last_V_full_n;
output   output_V_last_V_write;
output   out_aresetn;
output  [7:0] stc_buff_V_address0;
output   stc_buff_V_ce0;
output   stc_buff_V_we0;
output  [7:0] stc_buff_V_d0;
input  [7:0] stc_buff_V_q0;
output  [7:0] tist_V_V_din;
input   tist_V_V_full_n;
output   tist_V_V_write;
endmodule

